simcir.registerDevice('CPU0',
{
  "width":1200,
  "height":800,
  "showToolbox":false,
  "devices":[
    {"type":"RegBus-E","id":"dev0","x":304,"y":320,"label":"R1"},
    {"type":"RegBus-E","id":"dev1","x":304,"y":568,"label":"R3"},
    {"type":"RotaryEncoderBus","id":"dev2","x":40,"y":416,"label":"dstE"},
    {"type":"4bit7segBus","id":"dev3","x":104,"y":320,"label":"dstE"},
    {"type":"RotaryEncoderBus","id":"dev4","x":528,"y":176,"label":"srcA"},
    {"type":"RotaryEncoderBus","id":"dev5","x":528,"y":640,"label":"srcB"},
    {"type":"RotaryEncoderBus","id":"dev6","x":624,"y":64,"label":"valC"},
    {"type":"Toggle","id":"dev7","x":792,"y":176,"label":"Carry"},
    {"type":"DC","id":"dev8","x":496,"y":656,"label":"DC"},
    {"type":"DC","id":"dev9","x":496,"y":192,"label":"DC"},
    {"type":"DC","id":"dev10","x":8,"y":432,"label":"DC"},
    {"type":"DC","id":"dev11","x":968,"y":728,"label":"DC"},
    {"type":"DC","id":"dev12","x":592,"y":80,"label":"DC"},
    {"type":"4bit7segBus","id":"dev13","x":640,"y":176,"label":"srcA"},
    {"type":"4bit7segBus","id":"dev14","x":640,"y":640,"label":"srcB"},
    {"type":"4<4","id":"dev15","x":464,"y":464,"label":""},
    {"type":"4<4","id":"dev16","x":464,"y":584,"label":""},
    {"type":"4<4","id":"dev17","x":464,"y":336,"label":""},
    {"type":"4>4","id":"dev18","x":1048,"y":0,"label":""},
    {"type":"4<4","id":"dev19","x":264,"y":336,"label":""},
    {"type":"4<4","id":"dev20","x":264,"y":464,"label":""},
    {"type":"4<4","id":"dev21","x":264,"y":584,"label":""},
    {"type":"4>4","id":"dev22","x":264,"y":0,"label":""},
    {"type":"pinleft","id":"dev23","x":232,"y":352,"label":""},
    {"type":"pinleft","id":"dev24","x":232,"y":600,"label":""},
    {"type":"Toggle","id":"dev25","x":876,"y":324,"label":"A/S"},
    {"type":"DC","id":"dev26","x":844,"y":324,"label":"DC"},
    {"type":"Out","id":"dev27","x":368,"y":272,"label":"R1"},
    {"type":"4bit7segBus","id":"dev28","x":400,"y":256,"label":"R1"},
    {"type":"Out","id":"dev29","x":368,"y":400,"label":"R2"},
    {"type":"4bit7segBus","id":"dev30","x":400,"y":512,"label":"R3"},
    {"type":"Out","id":"dev31","x":368,"y":528,"label":"R3"},
    {"type":"4bit7segBus","id":"dev32","x":400,"y":384,"label":"R2"},
    {"type":"RegBus-E","id":"dev33","x":304,"y":448,"label":"R2"},
    {"type":"In","id":"dev34","x":112,"y":432,"label":"dstE"},
    {"type":"In","id":"dev35","x":600,"y":192,"label":"srcA"},
    {"type":"In","id":"dev36","x":600,"y":656,"label":"srcB"},
    {"type":"DC","id":"dev37","x":760,"y":176,"label":"DC"},
    {"type":"In","id":"dev38","x":832,"y":176,"label":"Carry"},
    {"type":"In","id":"dev39","x":916,"y":324,"label":"Add/Sub"},
    {"type":"2to4DecoderBus","id":"dev40","x":152,"y":416,"label":"2to4DecoderBus"},
    {"type":"pinleft","id":"dev41","x":232,"y":480,"label":""},
    {"type":"In","id":"dev42","x":1040,"y":728,"label":"CLK"},
    {"type":"pinright","id":"dev43","x":232,"y":784,"label":""},
    {"type":"pinright","id":"dev44","x":1056,"y":784,"label":""},
    {"type":"In","id":"dev45","x":696,"y":80,"label":"valC"},
    {"type":"4bit7segBus","id":"dev46","x":736,"y":64,"label":"valC"},
    {"type":"4>4","id":"dev47","x":928,"y":0,"label":""},
    {"type":"Out","id":"dev48","x":928,"y":40,"label":"valE"},
    {"type":"MuxBus","id":"dev49","x":664,"y":464,"label":"MuxBus"},
    {"type":"MuxBus","id":"dev50","x":664,"y":352,"label":"MuxBus"},
    {"type":"SubBus","id":"dev51","x":848,"y":480,"label":"SubBus"},
    {"type":"AddBus","id":"dev52","x":848,"y":384,"label":"AddBus"},
    {"type":"pinleft","id":"dev53","x":816,"y":416,"label":""},
    {"type":"MuxBus2","id":"dev54","x":1000,"y":416,"label":"MuxBus2"},
    {"type":"4<4","id":"dev55","x":632,"y":464,"label":""},
    {"type":"4<4","id":"dev56","x":632,"y":352,"label":""},
    {"type":"4bit7segBus","id":"dev57","x":984,"y":24,"label":"valE"},
    {"type":"4bit7segBus","id":"dev58","x":760,"y":296,"label":"valA"},
    {"type":"4bit7segBus","id":"dev59","x":760,"y":528,"label":"valB"},
    {"type":"Toggle","id":"dev60","x":1000,"y":728,"label":"CLK"},
    {"type":"4<4","id":"dev61","x":592,"y":360,"label":""},
    {"type":"4>4","id":"dev62","x":712,"y":296,"label":""},
    {"type":"4>4","id":"dev63","x":592,"y":296,"label":""}
  ],
  "connectors":[
    {"from":"dev0.in0","to":"dev40.out1"},
    {"from":"dev0.in1","to":"dev19.out0"},
    {"from":"dev0.in2","to":"dev23.out0"},
    {"from":"dev1.in0","to":"dev40.out3"},
    {"from":"dev1.in1","to":"dev21.out0"},
    {"from":"dev1.in2","to":"dev24.out0"},
    {"from":"dev2.in0","to":"dev10.out0"},
    {"from":"dev3.in0","to":"dev2.out0"},
    {"from":"dev4.in0","to":"dev9.out0"},
    {"from":"dev5.in0","to":"dev8.out0"},
    {"from":"dev6.in0","to":"dev12.out0"},
    {"from":"dev7.in0","to":"dev37.out0"},
    {"from":"dev13.in0","to":"dev35.out0"},
    {"from":"dev14.in0","to":"dev36.out0"},
    {"from":"dev15.in0","to":"dev33.out0"},
    {"from":"dev16.in0","to":"dev1.out0"},
    {"from":"dev17.in0","to":"dev0.out0"},
    {"from":"dev18.in0","to":"dev54.out0"},
    {"from":"dev19.in0","to":"dev22.out0"},
    {"from":"dev20.in0","to":"dev22.out0"},
    {"from":"dev21.in0","to":"dev22.out0"},
    {"from":"dev22.in0","to":"dev47.out0"},
    {"from":"dev23.in0","to":"dev43.out0"},
    {"from":"dev24.in0","to":"dev43.out0"},
    {"from":"dev25.in0","to":"dev26.out0"},
    {"from":"dev27.in0","to":"dev0.out0"},
    {"from":"dev28.in0","to":"dev27.out0"},
    {"from":"dev29.in0","to":"dev33.out0"},
    {"from":"dev30.in0","to":"dev31.out0"},
    {"from":"dev31.in0","to":"dev1.out0"},
    {"from":"dev32.in0","to":"dev29.out0"},
    {"from":"dev33.in0","to":"dev40.out2"},
    {"from":"dev33.in1","to":"dev20.out0"},
    {"from":"dev33.in2","to":"dev41.out0"},
    {"from":"dev34.in0","to":"dev2.out0"},
    {"from":"dev35.in0","to":"dev4.out0"},
    {"from":"dev36.in0","to":"dev5.out0"},
    {"from":"dev38.in0","to":"dev7.out0"},
    {"from":"dev39.in0","to":"dev25.out0"},
    {"from":"dev40.in0","to":"dev34.out0"},
    {"from":"dev41.in0","to":"dev43.out0"},
    {"from":"dev42.in0","to":"dev60.out0"},
    {"from":"dev43.in0","to":"dev44.out0"},
    {"from":"dev44.in0","to":"dev42.out0"},
    {"from":"dev45.in0","to":"dev6.out0"},
    {"from":"dev46.in0","to":"dev45.out0"},
    {"from":"dev47.in0","to":"dev18.out0"},
    {"from":"dev48.in0","to":"dev47.out0"},
    {"from":"dev49.in0","to":"dev55.out0"},
    {"from":"dev49.in2","to":"dev17.out0"},
    {"from":"dev49.in3","to":"dev15.out0"},
    {"from":"dev49.in4","to":"dev16.out0"},
    {"from":"dev50.in0","to":"dev56.out0"},
    {"from":"dev50.in1","to":"dev61.out0"},
    {"from":"dev50.in2","to":"dev17.out0"},
    {"from":"dev50.in3","to":"dev15.out0"},
    {"from":"dev50.in4","to":"dev16.out0"},
    {"from":"dev51.in0","to":"dev50.out0"},
    {"from":"dev51.in1","to":"dev49.out0"},
    {"from":"dev52.in0","to":"dev50.out0"},
    {"from":"dev52.in1","to":"dev49.out0"},
    {"from":"dev52.in2","to":"dev53.out0"},
    {"from":"dev53.in0","to":"dev38.out0"},
    {"from":"dev54.in0","to":"dev39.out0"},
    {"from":"dev54.in1","to":"dev52.out0"},
    {"from":"dev54.in2","to":"dev51.out0"},
    {"from":"dev55.in0","to":"dev36.out0"},
    {"from":"dev56.in0","to":"dev35.out0"},
    {"from":"dev57.in0","to":"dev48.out0"},
    {"from":"dev58.in0","to":"dev50.out0"},
    {"from":"dev59.in0","to":"dev49.out0"},
    {"from":"dev60.in0","to":"dev11.out0"},
    {"from":"dev61.in0","to":"dev63.out0"},
    {"from":"dev62.in0","to":"dev45.out0"},
    {"from":"dev63.in0","to":"dev62.out0"}
  ]
}
);

simcir.registerDevice('CPU1',
{
  "width":1200,
  "height":800,
  "showToolbox":false,
  "devices":[
    {"type":"AndBus1","id":"dev0","x":208,"y":264,"label":"AndBus1"},
    {"type":"4bit7segBus","id":"dev1","x":512,"y":48,"label":"srcA"},
    {"type":"CPU0","id":"dev2","x":792,"y":240,"label":"CPU0"},
    {"type":"ROM0","id":"dev3","x":496,"y":240,"label":"ROM0"},
    {"type":"IncBus","id":"dev4","x":288,"y":224,"label":"IncBus"},
    {"type":"4>4","id":"dev5","x":336,"y":184,"label":""},
    {"type":"4>4","id":"dev6","x":96,"y":184,"label":""},
    {"type":"4bit7segBus","id":"dev7","x":576,"y":48,"label":"srcB"},
    {"type":"4bit7segBus","id":"dev8","x":640,"y":48,"label":"valC"},
    {"type":"4bit7segBus","id":"dev9","x":448,"y":48,"label":"dstE"},
    {"type":"LED","id":"dev10","x":704,"y":80,"label":"Sub"},
    {"type":"RegBus","id":"dev11","x":96,"y":256,"label":"PC"},
    {"type":"Toggle","id":"dev12","x":144,"y":336,"label":"~Reset"},
    {"type":"Toggle","id":"dev13","x":32,"y":472,"label":"CLK"},
    {"type":"pinleft","id":"dev14","x":776,"y":480,"label":""},
    {"type":"DC","id":"dev15","x":112,"y":336,"label":"DC"},
    {"type":"DC","id":"dev16","x":0,"y":472,"label":"DC"},
    {"type":"In","id":"dev17","x":64,"y":472,"label":"CLK"},
    {"type":"Out","id":"dev18","x":912,"y":216,"label":"R1"},
    {"type":"Out","id":"dev19","x":912,"y":296,"label":"R2"},
    {"type":"Out","id":"dev20","x":912,"y":376,"label":"R3"},
    {"type":"4bit7segBus","id":"dev21","x":896,"y":472,"label":"valE"},
    {"type":"Out","id":"dev22","x":296,"y":320,"label":"PC"},
    {"type":"4bit7segBus","id":"dev23","x":944,"y":200,"label":"R1"},
    {"type":"4bit7segBus","id":"dev24","x":944,"y":280,"label":"R2"},
    {"type":"4bit7segBus","id":"dev25","x":944,"y":360,"label":"R3"},
    {"type":"4bit7segBus","id":"dev26","x":328,"y":304,"label":"PC"},
    {"type":"In","id":"dev27","x":176,"y":336,"label":"~Reset"},
    {"type":"In","id":"dev28","x":664,"y":272,"label":"srcB"},
    {"type":"In","id":"dev29","x":664,"y":176,"label":"dstE"},
    {"type":"In","id":"dev30","x":664,"y":224,"label":"srcA"},
    {"type":"In","id":"dev31","x":664,"y":320,"label":"valC"},
    {"type":"In","id":"dev32","x":664,"y":368,"label":"Add/Sub"}
  ],
  "connectors":[
    {"from":"dev0.in0","to":"dev11.out0"},
    {"from":"dev0.in1","to":"dev27.out0"},
    {"from":"dev1.in0","to":"dev3.out1"},
    {"from":"dev2.in0","to":"dev29.out0"},
    {"from":"dev2.in1","to":"dev30.out0"},
    {"from":"dev2.in2","to":"dev28.out0"},
    {"from":"dev2.in3","to":"dev31.out0"},
    {"from":"dev2.in5","to":"dev32.out0"},
    {"from":"dev2.in6","to":"dev14.out0"},
    {"from":"dev3.in0","to":"dev0.out0"},
    {"from":"dev4.in0","to":"dev0.out0"},
    {"from":"dev5.in0","to":"dev4.out0"},
    {"from":"dev6.in0","to":"dev5.out0"},
    {"from":"dev7.in0","to":"dev3.out2"},
    {"from":"dev8.in0","to":"dev3.out3"},
    {"from":"dev9.in0","to":"dev3.out0"},
    {"from":"dev10.in0","to":"dev3.out4"},
    {"from":"dev11.in0","to":"dev6.out0"},
    {"from":"dev11.in1","to":"dev17.out0"},
    {"from":"dev12.in0","to":"dev15.out0"},
    {"from":"dev13.in0","to":"dev16.out0"},
    {"from":"dev14.in0","to":"dev17.out0"},
    {"from":"dev17.in0","to":"dev13.out0"},
    {"from":"dev18.in0","to":"dev2.out0"},
    {"from":"dev19.in0","to":"dev2.out1"},
    {"from":"dev20.in0","to":"dev2.out2"},
    {"from":"dev21.in0","to":"dev2.out3"},
    {"from":"dev22.in0","to":"dev0.out0"},
    {"from":"dev23.in0","to":"dev18.out0"},
    {"from":"dev24.in0","to":"dev19.out0"},
    {"from":"dev25.in0","to":"dev20.out0"},
    {"from":"dev26.in0","to":"dev22.out0"},
    {"from":"dev27.in0","to":"dev12.out0"},
    {"from":"dev28.in0","to":"dev3.out2"},
    {"from":"dev29.in0","to":"dev3.out0"},
    {"from":"dev30.in0","to":"dev3.out1"},
    {"from":"dev31.in0","to":"dev3.out3"},
    {"from":"dev32.in0","to":"dev3.out4"}
  ]
}
);

simcir.registerDevice('ROM0',
{
  "width":1200,
  "height":800,
  "showToolbox":false,
  "devices":[
    {"type":"Out","id":"dev0","x":192,"y":120,"label":"dstE"},
    {"type":"RotaryEncoderBus","id":"dev1","x":32,"y":232,"label":"dstE0","value":1},
    {"type":"4bit7segBus","id":"dev2","x":120,"y":232,"label":"dstE0"},
    {"type":"MuxBus","id":"dev3","x":120,"y":96,"label":"MuxBus"},
    {"type":"RotaryEncoderBus","id":"dev4","x":32,"y":352,"label":"dstE1","value":2},
    {"type":"4bit7segBus","id":"dev5","x":120,"y":352,"label":"dstE1"},
    {"type":"RotaryEncoderBus","id":"dev6","x":32,"y":592,"label":"dstE3","value":3},
    {"type":"RotaryEncoderBus","id":"dev7","x":32,"y":472,"label":"dstE2","value":3},
    {"type":"4bit7segBus","id":"dev8","x":120,"y":472,"label":"dstE2"},
    {"type":"4bit7segBus","id":"dev9","x":120,"y":592,"label":"dstE3"},
    {"type":"In","id":"dev10","x":16,"y":32,"label":"Addr"},
    {"type":"DC","id":"dev11","x":0,"y":744,"label":"DC"},
    {"type":"4<4","id":"dev12","x":104,"y":40,"label":""},
    {"type":"Out","id":"dev13","x":592,"y":120,"label":"srcB"},
    {"type":"Out","id":"dev14","x":392,"y":120,"label":"srcA"},
    {"type":"MuxBus","id":"dev15","x":320,"y":96,"label":"MuxBus"},
    {"type":"MuxBus","id":"dev16","x":520,"y":96,"label":"MuxBus"},
    {"type":"MuxBus","id":"dev17","x":720,"y":96,"label":"MuxBus"},
    {"type":"Out","id":"dev18","x":792,"y":120,"label":"valC"},
    {"type":"Mux","id":"dev19","x":920,"y":96,"label":"Mux"},
    {"type":"Out","id":"dev20","x":992,"y":120,"label":"Add/Sub"},
    {"type":"4<4","id":"dev21","x":304,"y":40,"label":""},
    {"type":"4<4","id":"dev22","x":504,"y":40,"label":""},
    {"type":"4<4","id":"dev23","x":704,"y":40,"label":""},
    {"type":"4<4","id":"dev24","x":904,"y":40,"label":""},
    {"type":"RotaryEncoderBus","id":"dev25","x":232,"y":232,"label":"srcA0"},
    {"type":"RotaryEncoderBus","id":"dev26","x":232,"y":352,"label":"srcA1"},
    {"type":"RotaryEncoderBus","id":"dev27","x":232,"y":472,"label":"srcA2","value":1},
    {"type":"RotaryEncoderBus","id":"dev28","x":232,"y":592,"label":"srcA3","value":0},
    {"type":"4bit7segBus","id":"dev29","x":320,"y":232,"label":"srcA0"},
    {"type":"4bit7segBus","id":"dev30","x":320,"y":352,"label":"srcA1"},
    {"type":"4bit7segBus","id":"dev31","x":320,"y":472,"label":"srcA2"},
    {"type":"4bit7segBus","id":"dev32","x":320,"y":592,"label":"srcA3"},
    {"type":"RotaryEncoderBus","id":"dev33","x":432,"y":232,"label":"srcB0"},
    {"type":"RotaryEncoderBus","id":"dev34","x":432,"y":352,"label":"srcB1"},
    {"type":"RotaryEncoderBus","id":"dev35","x":432,"y":472,"label":"srcB2","value":2},
    {"type":"RotaryEncoderBus","id":"dev36","x":432,"y":592,"label":"srcB3","value":3},
    {"type":"4bit7segBus","id":"dev37","x":520,"y":232,"label":"srcB0"},
    {"type":"4bit7segBus","id":"dev38","x":520,"y":352,"label":"srcB1"},
    {"type":"4bit7segBus","id":"dev39","x":520,"y":472,"label":"srcB2"},
    {"type":"4bit7segBus","id":"dev40","x":520,"y":592,"label":"srcB3"},
    {"type":"RotaryEncoderBus","id":"dev41","x":632,"y":232,"label":"valC0","value":2},
    {"type":"RotaryEncoderBus","id":"dev42","x":632,"y":352,"label":"valC1","value":3},
    {"type":"RotaryEncoderBus","id":"dev43","x":632,"y":472,"label":"valC2","value":0},
    {"type":"RotaryEncoderBus","id":"dev44","x":632,"y":592,"label":"valC3","value":1},
    {"type":"4bit7segBus","id":"dev45","x":720,"y":232,"label":"valC0"},
    {"type":"4bit7segBus","id":"dev46","x":720,"y":352,"label":"valC1"},
    {"type":"4bit7segBus","id":"dev47","x":720,"y":472,"label":"valC2"},
    {"type":"4bit7segBus","id":"dev48","x":720,"y":592,"label":"valC3"},
    {"type":"DC","id":"dev49","x":200,"y":744,"label":"DC"},
    {"type":"DC","id":"dev50","x":400,"y":744,"label":"DC"},
    {"type":"DC","id":"dev51","x":600,"y":744,"label":"DC"},
    {"type":"DC","id":"dev52","x":800,"y":744,"label":"DC"},
    {"type":"LED","id":"dev53","x":920,"y":248,"label":"LED"},
    {"type":"pinleft","id":"dev54","x":880,"y":256,"label":""},
    {"type":"LED","id":"dev55","x":920,"y":368,"label":"LED"},
    {"type":"LED","id":"dev56","x":920,"y":488,"label":"LED"},
    {"type":"LED","id":"dev57","x":920,"y":608,"label":"LED"},
    {"type":"pinleft","id":"dev58","x":880,"y":496,"label":""},
    {"type":"pinleft","id":"dev59","x":880,"y":376,"label":""},
    {"type":"pinleft","id":"dev60","x":880,"y":616,"label":""}
  ],
  "connectors":[
    {"from":"dev0.in0","to":"dev3.out0"},
    {"from":"dev1.in0","to":"dev11.out0"},
    {"from":"dev2.in0","to":"dev1.out0"},
    {"from":"dev3.in0","to":"dev12.out0"},
    {"from":"dev3.in1","to":"dev1.out0"},
    {"from":"dev3.in2","to":"dev4.out0"},
    {"from":"dev3.in3","to":"dev7.out0"},
    {"from":"dev3.in4","to":"dev6.out0"},
    {"from":"dev4.in0","to":"dev11.out0"},
    {"from":"dev5.in0","to":"dev4.out0"},
    {"from":"dev6.in0","to":"dev11.out0"},
    {"from":"dev7.in0","to":"dev11.out0"},
    {"from":"dev8.in0","to":"dev7.out0"},
    {"from":"dev9.in0","to":"dev6.out0"},
    {"from":"dev12.in0","to":"dev10.out0"},
    {"from":"dev13.in0","to":"dev16.out0"},
    {"from":"dev14.in0","to":"dev15.out0"},
    {"from":"dev15.in0","to":"dev21.out0"},
    {"from":"dev15.in1","to":"dev25.out0"},
    {"from":"dev15.in2","to":"dev26.out0"},
    {"from":"dev15.in3","to":"dev27.out0"},
    {"from":"dev15.in4","to":"dev28.out0"},
    {"from":"dev16.in0","to":"dev22.out0"},
    {"from":"dev16.in1","to":"dev33.out0"},
    {"from":"dev16.in2","to":"dev34.out0"},
    {"from":"dev16.in3","to":"dev35.out0"},
    {"from":"dev16.in4","to":"dev36.out0"},
    {"from":"dev17.in0","to":"dev23.out0"},
    {"from":"dev17.in1","to":"dev41.out0"},
    {"from":"dev17.in2","to":"dev42.out0"},
    {"from":"dev17.in3","to":"dev43.out0"},
    {"from":"dev17.in4","to":"dev44.out0"},
    {"from":"dev18.in0","to":"dev17.out0"},
    {"from":"dev19.in0","to":"dev24.out0"},
    {"from":"dev19.in1","to":"dev54.out0"},
    {"from":"dev19.in2","to":"dev59.out0"},
    {"from":"dev19.in3","to":"dev58.out0"},
    {"from":"dev19.in4","to":"dev60.out0"},
    {"from":"dev20.in0","to":"dev19.out0"},
    {"from":"dev21.in0","to":"dev12.out0"},
    {"from":"dev22.in0","to":"dev21.out0"},
    {"from":"dev23.in0","to":"dev22.out0"},
    {"from":"dev24.in0","to":"dev23.out0"},
    {"from":"dev25.in0","to":"dev49.out0"},
    {"from":"dev26.in0","to":"dev49.out0"},
    {"from":"dev27.in0","to":"dev49.out0"},
    {"from":"dev28.in0","to":"dev49.out0"},
    {"from":"dev29.in0","to":"dev25.out0"},
    {"from":"dev30.in0","to":"dev26.out0"},
    {"from":"dev31.in0","to":"dev27.out0"},
    {"from":"dev32.in0","to":"dev28.out0"},
    {"from":"dev33.in0","to":"dev50.out0"},
    {"from":"dev34.in0","to":"dev50.out0"},
    {"from":"dev35.in0","to":"dev50.out0"},
    {"from":"dev36.in0","to":"dev50.out0"},
    {"from":"dev37.in0","to":"dev33.out0"},
    {"from":"dev38.in0","to":"dev34.out0"},
    {"from":"dev39.in0","to":"dev35.out0"},
    {"from":"dev40.in0","to":"dev36.out0"},
    {"from":"dev41.in0","to":"dev51.out0"},
    {"from":"dev42.in0","to":"dev51.out0"},
    {"from":"dev43.in0","to":"dev51.out0"},
    {"from":"dev44.in0","to":"dev51.out0"},
    {"from":"dev45.in0","to":"dev41.out0"},
    {"from":"dev46.in0","to":"dev42.out0"},
    {"from":"dev47.in0","to":"dev43.out0"},
    {"from":"dev48.in0","to":"dev44.out0"},
    {"from":"dev53.in0","to":"dev54.out0"},
    {"from":"dev55.in0","to":"dev59.out0"},
    {"from":"dev56.in0","to":"dev58.out0"},
    {"from":"dev57.in0","to":"dev60.out0"},
    {"from":"dev60.in0","to":"dev52.out0"}
  ]
}
);
